Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 734184 - app-emulation/libspectrum fails to link with LLD because of /usr/lib in the link command line
Summary: app-emulation/libspectrum fails to link with LLD because of /usr/lib in the l...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jan Ziak (http://atom-symbol.net)
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-28 10:06 UTC by Agostino Sarubbo
Modified: 2020-08-16 08:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,42.11 KB, text/plain)
2020-07-28 10:06 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-28 10:06:39 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: app-emulation/libspectrum fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-28 10:06:46 UTC
Created attachment 651102 [details]
build.log

build log and emerge --info
Comment 2 Larry the Git Cow gentoo-dev 2020-08-16 08:01:17 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=687d699e1b6392decd2dad1fb8966ddb62323708

commit 687d699e1b6392decd2dad1fb8966ddb62323708
Author:     Jan Ziak <0xe2.0x9a.0x9b@gmail.com>
AuthorDate: 2020-07-28 15:30:54 +0000
Commit:     Joonas Niilola <juippis@gentoo.org>
CommitDate: 2020-08-16 08:00:57 +0000

    app-emulation/libspectrum: avoid /usr/lib in the link command line
    
    Closes: https://bugs.gentoo.org/734184
    Signed-off-by: Jan Ziak <0xe2.0x9a.0x9b@gmail.com>
    Signed-off-by: Joonas Niilola <juippis@gentoo.org>

 .../libspectrum/files/remove-local-prefix.patch        | 18 ++++++++++++++++++
 app-emulation/libspectrum/libspectrum-1.4.4.ebuild     | 11 +++++++++++
 2 files changed, 29 insertions(+)